### Method

# Gtk Window unfullscreen

#### Declaration [src]

    void
    gtk_window_unfullscreen (
      GtkWindow* window
    )

#### Description [src]

Asks to remove the fullscreen state for `window`, and return to its previous state.

Note that you shouldn’t assume the window is definitely not fullscreen afterward, because other entities (e.g. the user or window manager) could fullscreen it again, and not all window managers honor requests to unfullscreen windows; normally the window will end up restored to its normal state. Just don’t write code that crashes if not.

You can track the result of this operation via the `GdkToplevel:state` property, or by listening to notifications of the `GtkWindow:fullscreened` property.